Page MenuHomePhabricator

Create KaiOS error stream
Closed, ResolvedPublic

Description

The KaiOS-Wikipedia-app will start sending its client-side errors to the logging infrastructure. See T248615: Capture and send back client-side errors

In order to distinguish those from the MediaWiki client-side errors, a new stream could be created.

Event Timeline

SBisson created this task.Apr 14 2020, 2:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2020, 2:24 PM
nshahquinn-wmf moved this task from Analyst to Backlog on the Inuka-Team board.Apr 20 2020, 12:37 PM
nshahquinn-wmf added a subscriber: nshahquinn-wmf.

@SBisson, the purpose of the "Analytics" column is to track the work meant for me. Obviously, that wasn't clear, so I'm renaming the column to "analyst" and moving this task out 😊

Change 591118 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/deployment-charts@master] eventgate-logging-external - configure kaios_app.error stream

https://gerrit.wikimedia.org/r/591118

Change 591118 merged by Ottomata:
[operations/deployment-charts@master] eventgate-logging-external - configure kaios_app.error stream

https://gerrit.wikimedia.org/r/591118

SBisson closed this task as Resolved.May 1 2020, 1:11 AM
SBisson assigned this task to Ottomata.

The stream is in place and events have started appearing in the dashboard. Thanks!

Glad it is working!